From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/dmalloc/
Date: Thu, 10 Oct 2019 07:55:38 +0000 (UTC) [thread overview]
Message-ID: <1570694136.e1fe6dbddbdc4a77da92d54a88d91735867126e6.jer@gentoo> (raw)
commit: e1fe6dbddbdc4a77da92d54a88d91735867126e6
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 10 07:36:59 2019 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Thu Oct 10 07:55:36 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e1fe6dbd
dev-libs/dmalloc: EAPI=7
Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>
dev-libs/dmalloc/dmalloc-5.5.2-r7.ebuild | 83 ++++++++++++++++++++++++++++++++
1 file changed, 83 insertions(+)
diff --git a/dev-libs/dmalloc/dmalloc-5.5.2-r7.ebuild b/dev-libs/dmalloc/dmalloc-5.5.2-r7.ebuild
new file mode 100644
index 00000000000..4590fc50aa6
--- /dev/null
+++ b/dev-libs/dmalloc/dmalloc-5.5.2-r7.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools multilib toolchain-funcs
+
+DESCRIPTION="A Debug Malloc Library"
+HOMEPAGE="http://dmalloc.com"
+SRC_URI="http://dmalloc.com/releases/${P}.tgz"
+
+LICENSE="CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="static-libs threads"
+
+DEPEND="sys-apps/texinfo"
+DOCS=( NEWS README docs/NOTES docs/TODO )
+PATCHES=(
+ # - Build objects twice, once -fPIC for shared.
+ # - Use DESTDIR.
+ # - Fix SONAME and NEEDED.
+ "${FILESDIR}"/${P}-Makefile.in.patch
+ # - Broken test, always returns false.
+ "${FILESDIR}"/${P}-cxx.patch
+ "${FILESDIR}"/${P}-ar.patch
+ # strdup() strndup() macros
+ "${FILESDIR}"/${P}-string-macros.patch
+)
+
+src_prepare() {
+ default
+
+ # - Add threads support.
+ use threads && eapply "${FILESDIR}"/${P}-threads.patch
+
+ # Respect CFLAGS/LDFLAGS. #337429
+ sed -i \
+ -e '/libdmalloc/ s:$(CC):& $(CFLAGS) $(LDFLAGS):g' \
+ -e 's|ar cr|$(AR) cr|g' \
+ Makefile.in || die
+
+ # Run autoconf for -cxx.patch.
+ eautoconf
+}
+
+src_configure() {
+ tc-export AR
+ econf --enable-cxx --enable-shlib $(use_enable threads)
+}
+
+src_compile() {
+ default
+
+ cd docs
+ makeinfo dmalloc.texi || die
+}
+
+src_test() {
+ emake heavy
+}
+
+src_install() {
+ default
+
+ newdoc ChangeLog.1 ChangeLog
+ dodoc docs/dmalloc.pdf
+ dodoc RELEASE.html docs/dmalloc.html
+ doinfo docs/dmalloc.info
+
+ # add missing symlinks, lazy
+ dosym lib${PN}.so.${PV} /usr/$(get_libdir)/lib${PN}.so
+ dosym lib${PN}.so.${PV} /usr/$(get_libdir)/lib${PN}.so.${PV%%.*}
+
+ for lib in cxx th thcxx; do
+ dosym lib${PN}${lib}.so.${PV} /usr/$(get_libdir)/lib${PN}${lib}.so
+ dosym lib${PN}${lib}.so.${PV} \
+ /usr/$(get_libdir)/lib${PN}${lib}.so.${PV%%.*}
+ done
+
+ if ! use static-libs; then
+ rm "${ED}"/usr/$(get_libdir)/lib${PN}*.a || die
+ fi
+}
next reply other threads:[~2019-10-10 7:55 UTC|newest]
Thread overview: 30+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-10-10 7:55 Jeroen Roovers [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-18 9:36 [gentoo-commits] repo/gentoo:master commit in: dev-libs/dmalloc/ Sam James
2024-11-17 16:07 Michał Górny
2024-11-17 15:48 Michał Górny
2024-11-16 18:21 Andreas K. Hüttel
2024-11-16 18:05 Arthur Zamarin
2024-11-16 18:05 Arthur Zamarin
2024-03-26 14:08 Agostino Sarubbo
2023-12-06 5:42 Sam James
2023-12-06 5:42 Sam James
2021-12-22 13:44 Yixun Lan
2021-04-03 23:07 Sam James
2020-12-06 21:14 Sam James
2020-05-17 16:55 Aaron Bauman
2020-03-21 10:19 Mikle Kolyada
2020-02-18 19:11 David Seifert
2020-02-10 14:30 David Seifert
2019-12-28 15:49 Mikle Kolyada
2019-12-24 15:05 Mikle Kolyada
2019-12-15 13:24 Sergei Trofimovich
2019-12-10 14:08 Agostino Sarubbo
2019-12-10 12:16 Agostino Sarubbo
2019-12-10 9:46 Agostino Sarubbo
2019-12-10 9:44 Agostino Sarubbo
2019-12-10 9:18 Agostino Sarubbo
2019-12-10 8:49 Agostino Sarubbo
2019-12-10 8:42 Agostino Sarubbo
2019-05-20 19:11 Aaron Bauman
2019-01-17 12:36 Fabian Groffen
2018-03-28 20:55 Matt Turner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1570694136.e1fe6dbddbdc4a77da92d54a88d91735867126e6.jer@gentoo \
--to=jer@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox